Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1599375 - Error executing pre run function: tendrl.objects.Cluster.atoms.CheckClusterNodesUp
Summary: Error executing pre run function: tendrl.objects.Cluster.atoms.CheckClusterNo...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-commons
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Anmol Sachan
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-09 16:03 UTC by Filip Balák
Modified: 2019-04-11 08:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1536354 None CLOSED [GSS] [RFE] Cluster-id should be user-friendly 2019-04-01 08:24:41 UTC
Red Hat Bugzilla 1571809 None CLOSED Error: Import existing Gluster Cluster 2019-04-01 08:24:41 UTC
Red Hat Bugzilla 1613853 None CLOSED Error executing atom: tendrl.objects.Cluster.atoms.ImportCluster 2019-04-01 08:24:41 UTC

Internal Links: 1536354 1571809 1613853

Description Filip Balák 2018-07-09 16:03:25 UTC
Description of problem:
This BZ is based on findings from BZ 1571809.
I have done 90 experiments where I did cluster import with specified Cluster Name, saved the results, reverted snapshots of hosts and triggered import again. 8 experiments failed with `Import existing Gluster Cluster` message like:
```
ERROR - Failure in Job b451fa27-1b1f-4485-9b31-edda7c85f829 Flow tendrl.flows.ImportCluster with error:Traceback (most recent call last):#012  File "/usr/lib/python2.7/site-packages/tendrl/commons/jobs/__init__.py", line 242, in process_job#012    the_flow.run()#012  File "/usr/lib/python2.7/site-packages/tendrl/commons/flows/import_cluster/__init__.py", line 124, in run#012    raise ex#012AtomExecutionFailedError: Atom Execution failed. Error: Error executing pre run function: tendrl.objects.Cluster.atoms.CheckClusterNodesUp for flow: Import existing Gluster Cluster#012 - AtomExecutionFailedError: [{u'function': u'__bootstrap', u'line': 785, u'file': u'/usr/lib64/python2.7/threading.py', u'statement': u'self.__bootstrap_inner()'}, {u'function': u'__bootstrap_inner', u'line': 812, u'file': u'/usr/lib64/python2.7/threading.py', u'statement': u'self.run()'}, {u'function': u'run', u'line': 765, u'file': u'/usr/lib64/python2.7/threading.py', u'statement': u'self.__target(*self.__args, **self.__kwargs)'}, {u'function': u'process_job', u'line': 242, u'file': u'/usr/lib/python2.7/site-packages/tendrl/commons/jobs/__init__.py', u'statement': u'the_flow.run()'}, {u'function': u'run', u'line': 124, u'file': u'/usr/lib/python2.7/site-packages/tendrl/commons/flows/import_cluster/__init__.py', u'statement': u'raise ex'}]

```

Version-Release number of selected component (if applicable):
tendrl-ansible-1.6.3-5.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-7.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-5.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-5.el7rhgs.noarch
tendrl-node-agent-1.6.3-7.el7rhgs.noarch
tendrl-notifier-1.6.3-4.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-4.el7rhgs.noarch

How reproducible:
9%

Steps to Reproduce:
1. Install tendrl.
2. Import cluster, don't set Cluster Name parameter.
3. Open task detail.

Actual results:
In some cases there happens to appear an error and import fails.

Expected results:
Import should succeed.

Additional info:
Logs and config files from these experiments are on this address:
http://file.brq.redhat.com/~fbalak/bz/1571809/results.tar.gz

Comment 2 Shubhendu Tripathi 2018-11-19 06:26:55 UTC
Is this still simulatable and valid BZ?

Comment 3 Martin Bukatovic 2018-12-13 17:42:32 UTC
(In reply to Shubhendu Tripathi from comment #2)
> Is this still simulatable and valid BZ?

Have you done any changes in code which would make you think otherwise? I still consider this to be a valid bug.


Note You need to log in before you can comment on or make changes to this bug.